<?
 /*SCRIPT PARA MANTENIMIENTO DE CURSOS */
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();
  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $qver=mysql_query("select * from cursos where codigo = '$txtcodigo'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("ERROR: El codigo del curso que ingresó ingresó ya existe\\nCódigo: $txtcodigo\\nCurso: {$iver[curso]}","javascript:history.go(-1)");
    }
    $txtcurso=strtoupper($txtcurso);
                $sql="insert into
                      cursos
                      set codigo='$txtcodigo',
                      curso='$txtcurso'";

                 $ins=mysql_query($sql);
                 if($ins){alert("Curso $txtcurso\\nagregado con éxito","frm_curso.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;

   case "Update":
    $qver=mysql_query("select * from cursos where codigo = '$txtcodigo'");
    if(mysql_num_rows($qver)==0){
      alert("ERROR: El curso no existe","javascript:history.go(-1)");
    }
                $sql="update
                      cursos
                      set curso='$txtcurso'
                      where codigo='$txtcodigo'";

                 $qupd=mysql_query($sql);
                 if($qupd){alert("Curso: $txtcurso\\nactualizado con éxito","frm_curso.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>